## nvidia-settings 375.26

=== src/Makefile ===
#
# nvidia-settings: A tool for configuring the NVIDIA X driver on Unix
# and Linux systems.
#
# Copyright (C) 2008-2012 NVIDIA Corporation.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms and conditions of the GNU General Public License,
# version 2, as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses>.
#


##############################################################################
# include common variables and functions
##############################################################################

UTILS_MK_DIR ?= ..

include $(UTILS_MK_DIR)/utils.mk


##############################################################################
# The calling Makefile may export any of the following variables; we
# assign default values if they are not exported by the caller
##############################################################################

ifndef X_LDFLAGS
  ifeq ($(TARGET_OS)-$(TARGET_ARCH),Linux-x86_64)
    X_LDFLAGS          = -L/usr/X11R6/lib64
  else
    X_LDFLAGS          = -L/usr/X11R6/lib
  endif
endif

X_CFLAGS              ?=

PKG_CONFIG            ?= pkg-config

ifndef GTK2_CFLAGS
  GTK2_CFLAGS          := $(shell $(PKG_CONFIG) --cflags gtk+-2.0)
endif

ifndef GTK2_LDFLAGS
  GTK2_LDFLAGS         := -Wl,--no-as-needed $(shell $(PKG_CONFIG) --libs gtk+-2.0)
endif

ifndef GTK3_AVAILABLE
  GTK3_AVAILABLE := $(shell $(PKG_CONFIG) --exists gtk+-3.0 && echo 1)
endif

ifeq (1,$(GTK3_AVAILABLE))
  ifndef GTK3_CFLAGS
    GTK3_CFLAGS          := $(shell $(PKG_CONFIG) --cflags gtk+-3.0)
  endif

  ifndef GTK3_LDFLAGS
    GTK3_LDFLAGS         := -Wl,--no-as-needed $(shell $(PKG_CONFIG) --libs gtk+-3.0)
  endif
else
  GTK3_CFLAGS ?=
  GTK3_LDFLAGS ?=
endif

# If GTK3_CFLAGS is set, try and build GTK3LIB
ifdef GTK3_CFLAGS
  BUILD_GTK3LIB = 1
endif

ifndef VDPAU_CFLAGS
  VDPAU_CFLAGS        := $(shell $(PKG_CONFIG) --cflags vdpau 2> /dev/null)
  ifeq ($(VDPAU_CFLAGS),)
    VDPAU_CFLAGS       = -I /usr/include
  endif
endif

# These will be unused if nvidia-settings links dynamically against jansson
ifndef JANSSON_CFLAGS
  JANSSON_CFLAGS  = -Wno-cast-qual
  JANSSON_CFLAGS += -Wno-strict-prototypes
  JANSSON_CFLAGS += -Wno-unused-function
  JANSSON_CFLAGS += -DHAVE_CONFIG_H
  ifeq ($(TARGET_ARCH),armv7l)
    JANSSON_CFLAGS += -Wno-unused-but-set-variable
  endif
endif

##############################################################################
# The XF86Config-parser, libXNVCtrl, and common-utils directories may
# be in one of two places: either elsewhere in the driver source tree
# when building nvidia-settings as part of the NVIDIA driver build (in
# which case, XNVCTRL_DIR, XNVCTRL_ARCHIVE, XCONFIG_PARSER_DIR,
# COMMON_UTILS_DIR and COMMON_UNIX_DIR should be defined by the calling
# makefile), or directly in the source directory when building from the
# nvidia-settings source tarball (in which case, the below conditional
# assignments should be used)
##############################################################################

XNVCTRL_DIR             ?= libXNVCtrl
XNVCTRL_MAKEFILE        ?= Makefile
XNVCTRL_ARCHIVE         ?= $(XNVCTRL_DIR)/libXNVCtrl.a
XCONFIG_PARSER_DIR      ?= XF86Config-parser
COMMON_UTILS_DIR        ?= common-utils
COMMON_UNIX_DIR         ?= common-unix
VIRTUAL_RESOLUTIONS_DIR ?= $(COMMON_UNIX_DIR)/virtual-resolutions

##############################################################################
# assign variables
##############################################################################

NVIDIA_SETTINGS = $(OUTPUTDIR)/nvidia-settings

NVIDIA_SETTINGS_PROGRAM_NAME = "nvidia-settings"

NVIDIA_SETTINGS_VERSION := $(NVIDIA_VERSION)

GTK2LIB_NAME = libnvidia-gtk2.so
GTK2LIB_DIR  = $(OUTPUTDIR)/gtk2
GTK2LIB = $(OUTPUTDIR)/$(GTK2LIB_NAME)
GTK2LIB_SONAME = $(GTK2LIB_NAME).$(NVIDIA_SETTINGS_VERSION)

ifdef BUILD_GTK3LIB
  GTK3LIB_NAME = libnvidia-gtk3.so
  GTK3LIB_DIR  = $(OUTPUTDIR)/gtk3
  GTK3LIB = $(OUTPUTDIR)/$(GTK3LIB_NAME)
  GTK3LIB_SONAME = $(GTK3LIB_NAME).$(NVIDIA_SETTINGS_VERSION)
else
  # This value is empty if we are not building GTK3 so that the
  # nvidia-settings build step has this as an empty dependency.
  GTK3LIB =
endif

CFLAGS += $(X_CFLAGS)

ifeq ($(TARGET_OS),SunOS)
  LDFLAGS += -Wl,-rpath=/usr/X11R6/lib -Wl,--export-dynamic
  LIBS += -lscf
endif

LDFLAGS += $(X_LDFLAGS)

NVML_EXPERIMENTAL ?=
CFLAGS += $(if $(NVML_EXPERIMENTAL),-DNVML_EXPERIMENTAL)


# Some older Linux distributions do not have the dynamic library
# libXxf86vm.so, though some newer Linux distributions do not have the
# static library libXxf86vm.a.  Statically link against libXxf86vm
# when building nvidia-settings within the NVIDIA driver build, but
# dynamically link against libXxf86vm in the public builds.
NV_LINK_LIBXXF86VM_STATICALLY ?= 0

ifneq ($(NV_LINK_LIBXXF86VM_STATICALLY),0)
    LIBS += -Wl,-Bstatic -lXxf86vm -Wl,-Bdynamic
else
    LIBS += -lXxf86vm
endif

# nvidia-settings depends on libjansson >= 2.2.  If NV_USE_BUNDLED_LIBJANSSON is
# set to a non-zero value, then nvidia-settings is linked statically against the
# copy of libjansson bundled in the source tarball; if it is set to 0,
# nvidia-settings is linked dynamically against the copy of libjansson on the
# host system.  By default, nvidia-settings is linked against the bundled copy.
NV_USE_BUNDLED_LIBJANSSON ?= 1

ifeq ($(NV_USE_BUNDLED_LIBJANSSON),0)
    LIBS += -ljansson
endif

# Preferably, we would use pkg-config's "--libs-only-l" and
# "--libs-only-L" options to get separate GTK_LDFLAGS and GTK_LIBS,
# appending them to LDFLAGS and LIBS, respectively.  However, the
# pkg-config(1) man page cautions:
#
#     [...] Note that the union of "--libs-only-l"  and
#     "--libs-only-L"  may be smaller than "--libs", due to flags such
#     as -rdynamic.
#
# So append all of GTK_LDFLAGS to LIBS, so that LIBS can go after
# $(OBJECTS) on the link commandline, causing libraries for linking to
# be named after the objects that depend on those libraries (needed
# for "--as-needed" linker behavior).
LIBS += -lX11 -lXext -lm $(LIBDL_LIBS)

GTK2_LIBS += $(GTK2_LDFLAGS)
GTK3_LIBS += $(GTK3_LDFLAGS)

# Include all the source lists; dist-files.mk will define NVIDIA_SETTINGS_SRC
include src.mk
SRC        += $(NVIDIA_SETTINGS_SRC)

include $(XCONFIG_PARSER_DIR)/src.mk
XCP_SRC    += $(addprefix $(XCONFIG_PARSER_DIR)/,$(XCONFIG_PARSER_SRC))

include $(COMMON_UTILS_DIR)/src.mk
SRC        += $(addprefix $(COMMON_UTILS_DIR)/,$(COMMON_UTILS_SRC))

include $(VIRTUAL_RESOLUTIONS_DIR)/src.mk
SRC        += $(addprefix $(VIRTUAL_RESOLUTIONS_DIR)/,$(VIRTUAL_RESOLUTIONS_SRC))

SRC        += $(STAMP_C)

OBJS        = $(call BUILD_OBJECT_LIST,$(SRC))
XCP_OBJS    = $(call BUILD_OBJECT_LIST,$(XCP_SRC))

GTK2_OBJS    = $(call BUILD_OBJECT_LIST_WITH_DIR,$(GTK_SRC),$(GTK2LIB_DIR))
GTK3_OBJS    = $(call BUILD_OBJECT_LIST_WITH_DIR,$(GTK_SRC),$(GTK3LIB_DIR))

CFLAGS     += -I .
CFLAGS     += -I image_data
CFLAGS     += -I $(XNVCTRL_DIR)
CFLAGS     += -I $(XCONFIG_PARSER_DIR)/..
CFLAGS     += -I libXNVCtrlAttributes
CFLAGS     += -I xpm_data

ifneq ($(NV_USE_BUNDLED_LIBJANSSON),0)
  CFLAGS     += -I jansson
endif

CFLAGS     += -I $(COMMON_UTILS_DIR)
CFLAGS     += -I $(VIRTUAL_RESOLUTIONS_DIR)
CFLAGS     += -I $(OUTPUTDIR)
CFLAGS     += $(VDPAU_CFLAGS)
CFLAGS     += -DPROGRAM_NAME=\"nvidia-settings\"

$(call BUILD_OBJECT_LIST,$(XCP_SRC)): CFLAGS += -fPIC

$(call BUILD_OBJECT_LIST_WITH_DIR,$(GTK_SRC),$(GTK2LIB_DIR)): \
    CFLAGS += $(GTK2_CFLAGS) -fPIC -I $(XCONFIG_PARSER_DIR)/..

ifdef BUILD_GTK3LIB
  $(call BUILD_OBJECT_LIST_WITH_DIR,$(GTK_SRC),$(GTK3LIB_DIR)): \
      CFLAGS += $(GTK3_CFLAGS) -fPIC -I $(XCONFIG_PARSER_DIR)/..
endif

ifneq ($(NV_USE_BUNDLED_LIBJANSSON),0)
  $(call BUILD_OBJECT_LIST,$(JANSSON_SRC)): CFLAGS += $(JANSSON_CFLAGS)
endif


##############################################################################
# build rules
##############################################################################

.PHONY: all install NVIDIA_SETTINGS_install clean clobber build-xnvctrl

all: $(NVIDIA_SETTINGS) $(GTK2LIB) $(GTK3LIB)

install: NVIDIA_SETTINGS_install NVIDIA_GTKLIB_install

NVIDIA_GTKLIB_install: $(GTK2LIB) $(GTK3LIB)
	$(MKDIR) $(LIBDIR)
	$(INSTALL) $(INSTALL_LIB_ARGS) $(GTK2LIB) \
	    $(LIBDIR)/$(GTK2LIB_SONAME)
ifdef BUILD_GTK3LIB
	$(INSTALL) $(INSTALL_LIB_ARGS) $(GTK3LIB) \
	    $(LIBDIR)/$(GTK3LIB_SONAME)
endif

NVIDIA_SETTINGS_install: $(NVIDIA_SETTINGS)
	$(MKDIR) $(BINDIR)
	$(INSTALL) $(INSTALL_BIN_ARGS) $< $(BINDIR)/$(notdir $<)

$(eval $(call DEBUG_INFO_RULES, $(NVIDIA_SETTINGS)))
$(NVIDIA_SETTINGS).unstripped: $(OBJS) $(XNVCTRL_ARCHIVE)
	$(call quiet_cmd,LINK) $(CFLAGS) $(LDFLAGS) $(BIN_LDFLAGS) \
	    -rdynamic -o $@ $(OBJS) $(XNVCTRL_ARCHIVE) $(LIBS)

$(eval $(call DEBUG_INFO_RULES, $(GTK2LIB)))
$(GTK2LIB).unstripped: $(GTK2_OBJS) $(XCP_OBJS) $(VERSION_MK)
	$(call quiet_cmd,LINK) -shared $(CFLAGS) $(LDFLAGS) $(BIN_LDFLAGS) \
	    $(XNVCTRL_ARCHIVE) $(LIBS) $(GTK2_LIBS) \
	    -Wl,--unresolved-symbols=ignore-all -o $@ \
	    -Wl,-soname -Wl,$(GTK2LIB_SONAME) \
	    $(GTK2_OBJS) $(XCP_OBJS)

ifdef BUILD_GTK3LIB
$(eval $(call DEBUG_INFO_RULES, $(GTK3LIB)))
$(GTK3LIB).unstripped: $(GTK3_OBJS) $(XCP_OBJS) $(VERSION_MK)
	$(call quiet_cmd,LINK) -shared $(CFLAGS) $(LDFLAGS)  $(BIN_LDFLAGS) \
	    $(XNVCTRL_ARCHIVE) $(LIBS) $(GTK3_LIBS) \
	    -Wl,--unresolved-symbols=ignore-all -o $@ \
	    -Wl,-soname -Wl,$(GTK3LIB_SONAME) \
	    $(GTK3_OBJS) $(XCP_OBJS)
endif

# define the rule to build each object file
$(foreach src,$(SRC),$(eval $(call DEFINE_OBJECT_RULE,TARGET,$(src))))
$(foreach src,$(XCP_SRC),$(eval $(call DEFINE_OBJECT_RULE,TARGET,$(src))))

# define the rule to generate $(STAMP_C)
$(eval $(call DEFINE_STAMP_C_RULE, $(OBJS),$(NVIDIA_SETTINGS_PROGRAM_NAME)))

# define the rule to build $(XNVCTRL_ARCHIVE)
$(XNVCTRL_ARCHIVE): build-xnvctrl

build-xnvctrl:
	@$(MAKE) -C $(XNVCTRL_DIR) -f $(XNVCTRL_MAKEFILE)

clean clobber:
	rm -rf $(NVIDIA_SETTINGS) *~ $(STAMP_C) \
		$(OUTPUTDIR)/*.o $(OUTPUTDIR)/*.d \
		$(GTK2LIB) $(GTK3LIB) $(GTK2LIB_DIR) $(GTK3LIB_DIR)
	@$(MAKE) -C $(XNVCTRL_DIR) -f $(XNVCTRL_MAKEFILE) clean

$(foreach src,$(GTK_SRC), \
    $(eval $(call DEFINE_OBJECT_RULE_WITH_DIR,TARGET,$(src),$(GTK2LIB_DIR))))

ifdef BUILD_GTK3LIB
$(foreach src,$(GTK_SRC), \
    $(eval $(call DEFINE_OBJECT_RULE_WITH_DIR,TARGET,$(src),$(GTK3LIB_DIR))))
endif

=== debian/changelog ===
nvidia-settings (375.26-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 18 Jan 2017 15:43:15 +0100

nvidia-settings (375.26-3) unstable; urgency=medium

  * Do not generate nvidia-settings-dbgsym package to avoid having the source
    in both unstable and unstable-debug/contrib, breaking the archive tools.
    (See: #824169)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 16 Jan 2017 22:27:31 +0100

nvidia-settings (375.26-2) unstable; urgency=medium

  * pie.patch: New, filter out -pie when linking shared libraries.
    (Closes: #848893)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 10 Jan 2017 23:19:38 +0100

nvidia-settings (375.26-1) unstable; urgency=medium

  * New upstream release 375.26.  (Closes: #847955)
    - Fixed a regression that could cause the nvidia-settings control panel
      to crash on startup with certain GPU configurations.
  * New upstream release 375.20.
    - Updated nvidia-settings to not have a build-time dependence on an
      external nvml development package (a regression introduced in 375.10).
    - Fixed a crash in nvidia-settings when adding Application Profile Rule
      and Profile entries.
    - Removed the "Enable Tooltip" option in nvidia-settings for the GTK 2
      interface.
  * Recommend libnvidia-ml1.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 27 Dec 2016 00:56:37 +0100

nvidia-settings (370.28-1) unstable; urgency=medium

  * New upstream release 370.28.
  * Switch to debhelper compat level 10, no changes needed.
  * Recommend libgl1-nvidia-glvnd-glx as preferred alternative.
  * Recommend nvidia-vdpau-driver.
  * Resolve xorg libdir at build time.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 18 Dec 2016 14:08:33 +0100

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export NV_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/buildflags.mk

# Redefine DATE to something stable to make the build reproducible
BUILDDATE		:= $(shell dpkg-parsechangelog -S Date)
export DATE		 = date -d "$(BUILDDATE)"
# Cheat for user and hostname
export WHOAMI		 = echo buildd
export HOSTNAME_CMD	 = echo debian

PKG_CONFIG_XORG_XSERVER_LIBDIR	 = $(shell pkg-config --variable=libdir xorg-server)
CPPFLAGS		+= -DPKG_CONFIG_XORG_XSERVER_LIBDIR='\"$(PKG_CONFIG_XORG_XSERVER_LIBDIR)\"'

export PREFIX		 = /usr
export DO_STRIP		 =
export CC_ONLY_CFLAGS	 = $(CPPFLAGS)

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
export DEBUG		 = 1
endif

export NV_USE_BUNDLED_LIBJANSSON = 0

include debian/rules.defs
NVIDIA_LEGACY		?=
NVIDIA_ALTERNATIVE	?= nvidia$(legacy)-alternative
legacy			 = $(if $(NVIDIA_LEGACY),-legacy-$(NVIDIA_LEGACY)xx)
legacy_description	 = $(if $(NVIDIA_LEGACY), ($(NVIDIA_LEGACY)xx legacy version))
nvidia_private		 = nvidia$(if $(legacy),/$(patsubst -%,%,$(legacy)),/current)
watch_version		?= $(NVIDIA_LEGACY)

ALL_CONTROL	:= $(wildcard debian/nvidia-settings.*)
LEGACY_CONTROL	:= $(wildcard debian/nvidia-settings$(legacy).*)
RENAME_CONTROL	 = $(filter-out $(LEGACY_CONTROL),$(ALL_CONTROL))
RENAMED_CONTROL	 = $(patsubst debian/nvidia-settings.%,debian/nvidia-settings$(legacy).%,$(RENAME_CONTROL))
TEMPLATES	:= $(wildcard debian/*.in)
AUTOGEN		+= $(patsubst %.in,%,$(TEMPLATES))
AUTOGEN		+= $(patsubst %.in,%,$(RENAMED_CONTROL))
AUTOKEEP	 = debian/watch
AUTOCLEAN	 = $(filter-out $(AUTOKEEP),$(AUTOGEN))


%:
	dh $@

override_dh_auto_build: $(AUTOGEN)
	$(RM) src/libXNVCtrl/libXNVCtrl.a
	CC_ONLY_CFLAGS="$(CPPFLAGS)" dh_auto_build -O--parallel
	$(MAKE) -C samples

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
	install -m 0755 $(wildcard samples/_out/*/nv-control-dpy samples/_out/*/*/nv-control-dpy samples/nv-control-dpy) debian/tmp/usr/bin/
	install -m 0644 $(or $(wildcard doc/nvidia-settings.png),debian/nvidia-settings.png) debian/tmp/nvidia-settings$(legacy).png

override_dh_auto_clean:
	dh_auto_clean
	$(RM) src/libXNVCtrl/libXNVCtrl.a
	[ ! -f src/XF86Config-parser/Makefile ] || $(MAKE) -C src/XF86Config-parser clean
	[ ! -f samples/Makefile ] || $(MAKE) -C samples clean
	$(RM) -r _out */_out
	$(RM) $(AUTOCLEAN)
	$(MAKE) -f debian/rules $(AUTOKEEP)

override_dh_strip:
	dh_strip -Nnvidia-settings
	dh_strip --remaining-packages --no-automatic-dbgsym

override_dh_compress:
	dh_compress --exclude=.c --exclude=.mk

override_dh_gencontrol:
	if [ -f debian/nvidia-settings.substvars ]; then \
		sed -ri -e 's/libgtk2.0-0 \(>= 2.8.0\)//' \
			-e 's/libgtk-3-0 \(>= 3.0.0\)//' \
			debian/nvidia-settings.substvars ; \
	fi
	dh_gencontrol -- -V'nvidia:Legacy=$(legacy)' \
		-V'nvidia:LegacyDesc=$(legacy_description)' \
		-V'nvidia-alternative=$(NVIDIA_ALTERNATIVE)'


# Generating control files
debian/%:: debian/%.in debian/rules debian/rules.defs
	perl -p \
		-e 's{#LEGACY#}{$(legacy)}g;' \
		-e 's{#LEGACY_DESC#}{$(legacy_description)}g;' \
		-e 's{#PRIVATE#}{$(nvidia_private)}g;' \
		-e 's{#WATCH_VERSION#}{$(watch_version)}g;' \
		< $< > $@

# Renaming control files for legacy packaging
ifneq (,$(legacy))
nvidia-settings$(legacy).%: nvidia-settings.%
	cp -a $< $@
endif

## nvidia-settings 375.66

=== debian/changelog ===
nvidia-settings (375.66-1) unstable; urgency=medium

  * New upstream release 375.66.
    - Updated the display configuration page in the nvidia-settings
      control panel to accurately reflect HDMI 3D refresh rates.
  * Remove PIE workarounds, this now works out-of-the-box.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 30 May 2017 10:42:42 +0200

=== debian/watch ===
version=3
ftp://download.nvidia.com/XFree86/nvidia-settings/nvidia-settings-(.*).tar.(?:gz|bz2)

## nvidia-settings 384.98

=== debian/changelog ===
nvidia-settings (384.98-1) unstable; urgency=medium

  * New upstream release 384.98.
  * New upstream release 384.59.
    - Fixed a bug that prevented changes to stereo eye assignment from
      getting applied from the nvidia-settings control panel.
  * New upstream release 384.47.
    - Fixed a bug that caused nvidia-settings to drop device BusID
      values when making changes to an existing X configuration file.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 30 Nov 2017 05:46:31 +0100

nvidia-settings (381.22-1) unstable; urgency=medium

  * New upstream release 381.22.
  * New upstream release 381.09.
    - Fixed a bug that caused "nvidia-settings --query all" to print many
      duplicate entries.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 28 Nov 2017 17:41:42 +0100

nvidia-settings (378.13-1) unstable; urgency=medium

  * New upstream release 378.13.
    - Added support in nvidia-settings to view configured PRIME displays. To
      enable PRIME displays, see "Offloading Graphics Display with RandR 1.4"
      in the README.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 27 Nov 2017 18:32:23 +0100

nvidia-settings (375.82-2) unstable; urgency=medium

  * Set Rules-Requires-Root: no.
  * Use dh_missing --list-missing.
  * 13_clean.diff: Remove, fixed upstream since 337.12.
  * Use debian/substvars for substitutions by dpkg-genchanges (dpkg 1.19).
  * Remove support for versions predating 304.xx.
  * Remove Breaks/Replaces against packages older than jessie.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 20 Nov 2017 10:11:18 +0100

nvidia-settings (375.82-1) unstable; urgency=medium

  * New upstream release 375.82.
  * Use GPL notice without FSF street address.
  * Bump Standards-Version to 4.1.1. No changes needed.
  * Use Luca's @debian.org address.
  * Remove Fathi Boudra from Uploaders, thanks for your work on
    nvidia-settings!  (Closes: #879413)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 17 Nov 2017 00:43:58 +0100

nvidia-settings (375.66-3) unstable; urgency=medium

  [ Luca Boccassi ]
  * Use https for links in debian/copyright.
  * Remove Debian menu system entry, deprecated in favour of Free Desktop
    entry.
  * Bump Standards-Version to 4.0.1.
  * Set build directory to _out/debian to make the build reproducible,
    instead of the upstream default of _out/($uname)_($uname -m).

  [ Russ Allbery ]
  * Remove myself from Uploaders.

 -- Luca Boccassi <luca.boccassi@gmail.com>  Mon, 21 Aug 2017 19:17:00 +0100

nvidia-settings (375.66-2) unstable; urgency=medium

  * Add patches to make the build reproducible:
    SOURCE_DATE_EPOCH-for-manpage.patch, SOURCE_DATE_EPOCH-for-STAMP_C.patch
    and dummy-hostname-user-for-STAMP_C.patch
  * Remove workarounds in d/rules for date/user, it is fixed in the
    upstream makefiles.

 -- Luca Boccassi <luca.boccassi@gmail.com>  Sat, 24 Jun 2017 13:00:26 +0100

=== debian/control ===
Source: nvidia-settings
Section: x11
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Beckmann <anbe@debian.org>,
 Vincent Cheng <vcheng@debian.org>,
 Luca Boccassi <bluca@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-exec (>= 0.3),
 m4,
 libgl1-mesa-dev | libgl-dev,
 libgtk2.0-dev (>= 2.4),
 libgtk-3-dev,
 libjansson-dev (>= 2.2),
 libvdpau-dev (>= 0.9),
 libxext-dev,
 libxv-dev,
 libxxf86vm-dev,
 pkg-config,
 xserver-xorg-dev,
Build-Conflicts:
 libxnvctrl-dev,
Rules-Requires-Root: no
Standards-Version: 4.1.1
Homepage: https://download.nvidia.com/XFree86/nvidia-settings/
Vcs-Git: https://anonscm.debian.org/git/pkg-nvidia/nvidia-settings.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-nvidia/nvidia-settings.git

Package: nvidia-settings
Section: contrib/x11
Architecture: i386 amd64 armhf
Pre-Depends:
 nvidia-installer-cleanup,
Depends:
 ${nvidia-alternative},
 libgtk-3-0 (>= 3.0.0) | libgtk2.0-0 (>= 2.8.0),
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 libgl1-nvidia${nvidia:Legacy}-glvnd-glx | libgl1-nvidia${nvidia:Legacy}-glx,
 nvidia${nvidia:Legacy}-vdpau-driver,
 libnvidia${nvidia:Legacy}-ml1,
Description: tool for configuring the NVIDIA graphics driver${nvidia:LegacyDesc}
 The nvidia-settings utility is a tool for configuring the NVIDIA
 Linux graphics driver.  It operates by communicating with the NVIDIA
 X driver, querying and updating state as appropriate.  This
 communication is done with the NV-CONTROL X extension.
 .
 Values such as brightness and gamma, XVideo attributes, temperature,
 and OpenGL settings can be queried and configured via nvidia-settings.

Package: libxnvctrl0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends}, ${misc:Depends}
Description: NV-CONTROL X extension (runtime library)
 The NV-CONTROL X extension provides a mechanism for X clients to
 query and set configuration parameters of the NVIDIA X driver.
 State set by the NV-CONTROL X extension is assumed to be persistent
 only for the current server generation.
 .
 This package contains the shared library.

Package: libxnvctrl-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libxnvctrl0 (= ${binary:Version}),
 ${misc:Depends}
Description: NV-CONTROL X extension (development files)
 The NV-CONTROL X extension provides a mechanism for X clients to
 query and set configuration parameters of the NVIDIA X driver.
 State set by the NV-CONTROL X extension is assumed to be persistent
 only for the current server generation.

## nvidia-settings 384.111

=== src/Makefile ===
--- 
+++ 
@@ -78,6 +78,13 @@
   VDPAU_CFLAGS        := $(shell $(PKG_CONFIG) --cflags vdpau 2> /dev/null)
   ifeq ($(VDPAU_CFLAGS),)
     VDPAU_CFLAGS       = -I /usr/include
+  endif
+endif
+
+ifndef DBUS_CFLAGS
+  DBUS_CFLAGS        := $(shell $(PKG_CONFIG) --cflags dbus-1 2> /dev/null)
+  ifeq ($(DBUS_CFLAGS),)
+    DBUS_CFLAGS       = -I /usr/include/dbus-1.0/
   endif
 endif
 
@@ -228,6 +235,7 @@
 CFLAGS     += -I $(VIRTUAL_RESOLUTIONS_DIR)
 CFLAGS     += -I $(OUTPUTDIR)
 CFLAGS     += $(VDPAU_CFLAGS)
+CFLAGS     += $(DBUS_CFLAGS)
 CFLAGS     += -DPROGRAM_NAME=\"nvidia-settings\"
 
 $(call BUILD_OBJECT_LIST,$(XCP_SRC)): CFLAGS += -fPIC

=== debian/changelog ===
nvidia-settings (384.111-1~deb9u1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Reinstate the PIE workarounds.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 06 Mar 2018 19:09:51 +0100

nvidia-settings (384.111-1~deb9u1) stretch; urgency=medium

  * Rebuild for stretch.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 25 Feb 2018 18:18:20 +0100

nvidia-settings (384.111-1) unstable; urgency=medium

  * New upstream release 384.111.
  * Bump Standards-Version to 4.1.3. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 11 Jan 2018 20:52:21 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Build-Conflicts:
  libxnvctrl-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: https://download.nvidia.com/XFree86/nvidia-settings/
 Vcs-Git: https://anonscm.debian.org/git/pkg-nvidia/nvidia-settings.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-nvidia/nvidia-settings.git
@@ -35,6 +35,7 @@
  nvidia-installer-cleanup,
 Depends:
  ${nvidia-alternative},
+ libxnvctrl0 (= ${binary:Version}),
  libgtk-3-0 (>= 3.0.0) | libgtk2.0-0 (>= 2.8.0),
  ${shlibs:Depends}, ${misc:Depends}
 Recommends:

=== debian/rules ===
--- 
+++ 
@@ -8,19 +8,14 @@
 
 include /usr/share/dpkg/buildflags.mk
 
-# Redefine DATE to something stable to make the build reproducible
-BUILDDATE		:= $(shell dpkg-parsechangelog -S Date)
-export DATE		 = date -d "$(BUILDDATE)"
-# Cheat for user and hostname
-export WHOAMI		 = echo buildd
-export HOSTNAME_CMD	 = echo debian
-
 PKG_CONFIG_XORG_XSERVER_LIBDIR	 = $(shell pkg-config --variable=libdir xorg-server)
 CPPFLAGS		+= -DPKG_CONFIG_XORG_XSERVER_LIBDIR='\"$(PKG_CONFIG_XORG_XSERVER_LIBDIR)\"'
 
 export PREFIX		 = /usr
 export DO_STRIP		 =
 export CC_ONLY_CFLAGS	 = $(CPPFLAGS)
+# reproducible builds: instead of _out/$(uname)_($uname -m) use a fixed directory
+export OUTPUTDIR         = _out/debian
 
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 export DEBUG		 = 1
@@ -43,6 +38,7 @@
 TEMPLATES	:= $(wildcard debian/*.in)
 AUTOGEN		+= $(patsubst %.in,%,$(TEMPLATES))
 AUTOGEN		+= $(patsubst %.in,%,$(RENAMED_CONTROL))
+AUTOGEN		+= debian/substvars
 AUTOKEEP	 = debian/watch
 AUTOCLEAN	 = $(filter-out $(AUTOKEEP),$(AUTOGEN))
 
@@ -57,15 +53,18 @@
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp
-	install -m 0755 $(wildcard samples/_out/*/nv-control-dpy samples/_out/*/*/nv-control-dpy samples/nv-control-dpy) debian/tmp/usr/bin/
-	install -m 0644 $(or $(wildcard doc/nvidia-settings.png),debian/nvidia-settings.png) debian/tmp/nvidia-settings$(legacy).png
+	install -m 0755 samples/$(OUTPUTDIR)/nv-control-dpy debian/tmp/usr/bin/
+	install -m 0644 doc/nvidia-settings.png debian/tmp/nvidia-settings$(legacy).png
+
+override_dh_missing:
+	dh_missing --list-missing
 
 override_dh_auto_clean:
 	dh_auto_clean
 	$(RM) src/libXNVCtrl/libXNVCtrl.a
-	[ ! -f src/XF86Config-parser/Makefile ] || $(MAKE) -C src/XF86Config-parser clean
-	[ ! -f samples/Makefile ] || $(MAKE) -C samples clean
-	$(RM) -r _out */_out
+	$(RM) src/libXNVCtrl/libXNVCtrl.so*
+	$(MAKE) -C samples clean
+	$(RM) -r doc/_out samples/_out src/_out src/libXNVCtrl/_out
 	$(RM) $(AUTOCLEAN)
 	$(MAKE) -f debian/rules $(AUTOKEEP)
 
@@ -86,6 +85,10 @@
 		-V'nvidia:LegacyDesc=$(legacy_description)' \
 		-V'nvidia-alternative=$(NVIDIA_ALTERNATIVE)'
 
+# used by dpkg-genchanges
+debian/substvars:
+	echo 'nvidia:LegacyDesc=$(legacy_description)' > $@
+
 
 # Generating control files
 debian/%:: debian/%.in debian/rules debian/rules.defs

## nvidia-settings 390.42

=== debian/changelog ===
nvidia-settings (390.42-0ubuntu1) bionic; urgency=medium

  * New upstream release.

  [ Alberto Milone ]
  * debian/patches/08_add_prime_support.patch:
    - Use pkexec to call prime-select (LP: #1757180).
    - Recommend a computer restart, rather than
      a simple log out (LP: #1704781).

  [ Graham Inggs ]
  * debian/patches/05_add_polkit_support.patch,
    debian/patches/06_remove_local_prefix.patch,
    debian/patches/07_remove_features_for_legacy.patch,
    debian/patches/08_add_prime_support.patch,
    debian/patches/10_legacy_vdpau.patch,
    debian/patches/11_link_as-needed.patch,
    debian/patches/12_nostrip.patch,
    debian/patches/15_clean.patch:
    - Refresh all patches for new upstream 390.42
  * debian/patches/13_libxnvctrl_so_0.patch,
    debian/patches/link-order.diff:
    - Reorder libraries and object files to allow proper
      dependency resolution.
  * debian/control,
    debian/libxnvctrl0.install,
    debian/rules,
    debian/source/format:
    - Switch to debhelper 9.
    - Switch to source format 3.0 (quilt).
    - Depend on libgtk-3-0 | libgtk2.0-0, don't require both.
    - Switch to debian/watch.
    - Drop download-sources target with obsolete URL.
    - Change libxnvctrl0 and libxnvctrl-dev Architecture
      to any (LP: #1690669).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 22 Mar 2018 18:29:24 +0100

nvidia-settings (384.69-0ubuntu1) artful; urgency=medium

  * New upstream release (to match the 384 series in the archive).
  * debian/patches/08_add_prime_support.patch:
    - Refresh the patch for the 384 series.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 09 Oct 2017 18:28:54 +0200

nvidia-settings (367.35-0ubuntu1) yakkety; urgency=medium

  * debian/control:
    - Build for arm64 and ppc64el, even though we don't provide the
      driver for these architectures yet.
  * debian/patches/12_nostrip.patch,
    debian/patches/13_libxnvctrl_so_0.patch:
    - Refresh patches.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 09 Aug 2016 11:10:31 +0200

nvidia-settings (361.42-0ubuntu1) xenial; urgency=medium

  * New upstream release:
    - Limited the default concurrency level in nvidia-settings to 32,
      to avoid hitting the maximum tasks limit on systems with many
      CPUs.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 05 Apr 2016 11:42:18 +0200

nvidia-settings (361.28-0ubuntu1) xenial; urgency=medium

  * New upstream release.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 11 Feb 2016 11:50:07 +0100

nvidia-settings (352.21-0ubuntu1) wily; urgency=medium

  * debian/rules:
    - Remove a character that was accidentally introduced in the
      sources' link, which was causing the download-sources target
      to fail.
  * New upstream release:
    - Fixed a bug that caused the Display Configuration page of the
      nvidia-settings control panel to automatically generate layouts
      with multiple displays occupying the same position when
      enabling or disabling Base Mosaic.
    - Updated nvidia-settings to allow the use of the standard
      Display Configuration page when SLI Mosaic is enabled.
    - Added reporting of ECC error counts to the nvidia-settings
      control panel.
    - Fixed a bug in nvidia-settings that caused the application to
      crash when saving the EDID to a file.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 23 Jul 2015 12:57:28 +0200

nvidia-settings (346.82-0ubuntu1) wily; urgency=medium

  * New upstream release:
    - Fixed a bug that caused the application to crash when saving
      the EDID to a file.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 24 Jun 2015 17:19:13 +0200

nvidia-settings (346.72-0ubuntu1) wily; urgency=medium

  * New upstream release.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 19 May 2015 16:36:18 +0200

nvidia-settings (346.59-0ubuntu1) vivid; urgency=medium

  * New upstream release:
    - Fixed a bug that could cause nvidia-settings to crash on exit.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 09 Apr 2015 10:47:10 +0200

nvidia-settings (346.47-0ubuntu1) vivid; urgency=medium

  [ Graham Inggs ]
  * Enable building for armhf.
  * New packages libxnvtrl0 and libxnvctrl-dev. (LP: #1327753)
  * Sync all patches from 343.22-1 in Debian experimental.
  * Merge debian/copyright from 343.22-1 in Debian experimental,
    add Ubuntu contributors, update copyright years. (LP: #1429974)

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 18 Mar 2015 12:41:58 +0100

nvidia-settings (346.35-0ubuntu1) vivid; urgency=low

  * New upstream release:
    - Updated nvidia-settings to take advantage of GTK+ 3, when
      available. This is implemented by building the nvidia-settings
      user interface into separate shared libraries (libnvidia-
      gtk2.so, libnvidia-gtk3.so), and loading the correct one at
      run-time.
    - Added the nvidia-settings option --gtk-library to allow
      specifying the path of the directory containing the user
      interface library or the path and filename of the specific
      library to use.
    - Added support in nvidia-settings for a GTK+ 3 user interface on
      x86 and x86_64.
    - Added the nvidia-settings option --use-gtk2 to force the use of
      the GTK+ 2 UI library.
  * debian/control:
    - Fix up build dependencies.
  * debian/patches/10_legacy_vdpau.patch:
   - Make it possible to build with VDPAU releases older than 0.9.
  * debian/patches/04_nvidia-settings_natty_ftbs.patch:
   - Drop the patch.
  * debian/patches/07_remove_features_for_legacy.patch,
    debian/patches/09_do_not_complain_if_nvidia_is_missing.patch:
   - Refresh the patches.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 16 Jan 2015 18:21:44 +0100

nvidia-settings (331.20-0ubuntu8) trusty; urgency=low

  * debian/patches/05_add_polkit_support.patch,
    debian/patches/08_add_prime_support.patch:
    - Use python 3 instead of python 2.



=== debian/control ===
Source: nvidia-settings
Section: x11
Priority: optional
XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
Uploaders: Randall Donald <rdonald@debian.org>
Build-Depends: debhelper (>= 9), dh-exec (>= 0.3), m4, libgtk2.0-dev, libgtk-3-dev, libxext-dev, xutils-dev, libxrandr-dev,
 libgl1-mesa-dev | libgl-dev, libxxf86vm-dev, libxv-dev, libvdpau-dev, libjansson-dev (>= 2.2)
Build-Conflicts: libxnvctrl-dev
Standards-Version: 3.8.0
Vcs-Git: git://github.com/tseliot/nvidia-settings.git
Vcs-Browser: http://github.com/tseliot/nvidia-settings

Package: nvidia-settings
Section: contrib/x11
Architecture: i386 amd64 armhf arm64 ppc64el
Depends: pkg-config, screen-resolution-extra (>= 0.12),
 libvdpau1, ${shlibs:Depends}, ${misc:Depends}
Conflicts: nvidia-settings-binary
Replaces: nvidia-settings-binary
Provides: nvidia-settings-binary
Description:  Tool for configuring the NVIDIA graphics driver
 The nvidia-settings utility is a tool for configuring the NVIDIA
 Linux graphics driver.  It operates by communicating with the NVIDIA
 X driver, querying and updating state as appropriate.  This
 communication is done with the NV-CONTROL X extension.
 .
 Values such as brightness and gamma, XVideo attributes, temperature,
 and OpenGL settings can be queried and configured via nvidia-settings.

Package: libxnvctrl0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends}, ${misc:Depends}
Description: NV-CONTROL X extension (runtime library)
 The NV-CONTROL X extension provides a mechanism for X clients to
 query and set configuration parameters of the NVIDIA X driver.
 State set by the NV-CONTROL X extension is assumed to be persistent
 only for the current server generation.
 .
 This package contains the shared library.

Package: libxnvctrl-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libxnvctrl0 (= ${binary:Version}),
 ${misc:Depends}
Breaks:
 nvidia-settings (<< 346.35-0ubuntu2~),
Replaces:
 nvidia-settings (<< 346.35-0ubuntu2~),
Description: NV-CONTROL X extension (development files)
 The NV-CONTROL X extension provides a mechanism for X clients to
 query and set configuration parameters of the NVIDIA X driver.
 State set by the NV-CONTROL X extension is assumed to be persistent
 only for the current server generation.

## nvidia-settings 390.48

=== debian/changelog ===
nvidia-settings (390.48-2~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Revert to debhelper 10 compat to build on vanilla Stretch.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 06 May 2018 13:07:54 -0700

nvidia-settings (390.48-2) unstable; urgency=medium

  * Add Provides+Conflicts: nvidia-settings-gtk-${nvidia:Version} to prevent
    file conflicts with the legacy package built from the same upstream
    version.
  * Use dh_missing --fail-missing.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 22 Apr 2018 20:22:08 +0200

nvidia-settings (390.48-1) unstable; urgency=medium

  * New upstream release 390.48.
  * Bump Standards-Version to 4.1.4. No changes needed.
  * Switch to debhelper compat level 11.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 22 Apr 2018 17:07:14 +0200

nvidia-settings (390.25-1) unstable; urgency=medium

  * New upstream release 390.25.
  * Only build nvidia-settings on platforms where it is going to be used.
    (Closes: #892184)
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 06 Mar 2018 23:51:27 +0100

nvidia-settings (390.12-1) experimental; urgency=medium

  * New upstream release 390.12.
    - Updated the SLI Mosaic layout page in the nvidia-settings control
      panel to support topologies with up to 32 displays.
    - Added an OpenGL stereo preview feature to the screen page in
      nvidia-settings.
  * Merge changes from 384.111.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 12 Jan 2018 01:57:07 +0100

nvidia-settings (387.34-2) unstable; urgency=medium

  * Generate the GTK3|GTK2 dependency dynamically.  (Closes: #885709)
  * Merge changes from 384.111-1 (unstable), 384.111-1~deb9u1 (stretch).
  * Add debian/upstream/metadata.
  * Fix new Lintian issues.
  * Switch Vcs-* URLs to salsa.debian.org.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 06 Mar 2018 03:17:02 +0100

nvidia-settings (387.34-1) experimental; urgency=medium

  * New upstream release 387.34.
  * New upstream release 387.12.
    - Fixed a bug that sometimes prevented the "Reset Default Configuration"
      button in the nvidia-settings "ECC Settings" page from being available
      when the ECC configuration is set to a non-default state.
    - Fixed a bug that caused nvidia-settings to enforce overly aggressive
      limits on display positions in the "X Server Display Configuration"
      page under some circumstances.
    - Fixed a bug that could cause the "Enable Base Mosaic (Surround)"
      checkbox in nvidia-settings to disappear when an X screen, rather than
      a display, is selected in the "X Server Display Configuration" page.
    - Fixed a bug that caused the nvidia-settings control panel to retain
      some settings that had been applied, but not confirmed. This resulted
      in unwanted settings being applied to subsequent settings changes.
  * Refresh patches.
  * Bump Standards-Version to 4.1.2. No changes needed.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 10 Dec 2017 08:49:46 +0100

=== debian/control ===
Source: nvidia-settings
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Beckmann <anbe@debian.org>,
 Vincent Cheng <vcheng@debian.org>,
 Luca Boccassi <bluca@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-exec (>= 0.3),
 m4,
 libgl1-mesa-dev | libgl-dev,
 libgtk2.0-dev (>= 2.4),
 libgtk-3-dev,
 libjansson-dev (>= 2.2),
 libvdpau-dev (>= 0.9),
 libxext-dev,
 libxv-dev,
 libxxf86vm-dev,
 pkg-config,
 xserver-xorg-dev,
Build-Conflicts:
 libxnvctrl-dev,
Rules-Requires-Root: no
Standards-Version: 4.1.4
Homepage: https://download.nvidia.com/XFree86/nvidia-settings/
Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-settings
Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-settings.git

Package: nvidia-settings
Section: contrib/x11
Architecture: i386 amd64 armhf
Pre-Depends:
 nvidia-installer-cleanup,
Depends:
 ${nvidia-alternative},
 libxnvctrl0 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 libgl1-nvidia${nvidia:Legacy}-glvnd-glx | libgl1-nvidia${nvidia:Legacy}-glx,
 nvidia${nvidia:Legacy}-vdpau-driver,
 libnvidia${nvidia:Legacy}-ml1,
Provides:
 nvidia-settings-gtk-${nvidia:Version},
Conflicts:
 nvidia-settings-gtk-${nvidia:Version},
Description: tool for configuring the NVIDIA graphics driver${nvidia:LegacyDesc}
 The nvidia-settings utility is a tool for configuring the NVIDIA
 Linux graphics driver.  It operates by communicating with the NVIDIA
 X driver, querying and updating state as appropriate.  This
 communication is done with the NV-CONTROL X extension.
 .
 Values such as brightness and gamma, XVideo attributes, temperature,
 and OpenGL settings can be queried and configured via nvidia-settings.

Package: libxnvctrl0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends}, ${misc:Depends}
Description: NV-CONTROL X extension (runtime library)
 The NV-CONTROL X extension provides a mechanism for X clients to
 query and set configuration parameters of the NVIDIA X driver.
 State set by the NV-CONTROL X extension is assumed to be persistent
 only for the current server generation.
 .
 This package contains the shared library.

Package: libxnvctrl-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libxnvctrl0 (= ${binary:Version}),
 ${misc:Depends}
Description: NV-CONTROL X extension (development files)
 The NV-CONTROL X extension provides a mechanism for X clients to
 query and set configuration parameters of the NVIDIA X driver.
 State set by the NV-CONTROL X extension is assumed to be persistent
 only for the current server generation.

## nvidia-settings 390.67

=== debian/changelog ===
nvidia-settings (390.67-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 08 Nov 2018 12:40:57 -0800

nvidia-settings (390.67-1) unstable; urgency=medium

  * New upstream release 390.67.
  * Use reproducibility patches from upstream.
  * Bump Standards-Version to 4.1.5. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 15 Jul 2018 02:33:17 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Vincent Cheng <vcheng@debian.org>,
  Luca Boccassi <bluca@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  dh-exec (>= 0.3),
  m4,
  libgl1-mesa-dev | libgl-dev,
@@ -24,7 +24,7 @@
 Build-Conflicts:
  libxnvctrl-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.1.4
+Standards-Version: 4.1.5
 Homepage: https://download.nvidia.com/XFree86/nvidia-settings/
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-settings
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-settings.git

## nvidia-settings 390.77

=== debian/changelog ===
nvidia-settings (390.77-0ubuntu1) cosmic; urgency=medium

  * New upstream release.
  * 08_add_prime_support.patch:
    - Recommend a simple log out (LP: #1778011).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 02 Aug 2018 16:30:52 +0200

## nvidia-settings 390.87

=== debian/changelog ===
nvidia-settings (390.87-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 24 Jan 2019 19:14:54 -0800

nvidia-settings (390.87-1) unstable; urgency=medium

  * New upstream release 390.87.
  * Add Build-Depends-Package field to symbols file.
  * Bump Standards-Version to 4.3.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 19 Jan 2019 16:53:14 +0100

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
 Build-Conflicts:
  libxnvctrl-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Homepage: https://download.nvidia.com/XFree86/nvidia-settings/
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-settings
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-settings.git

## nvidia-settings 390.116

=== debian/changelog ===
nvidia-settings (390.116-1) stretch; urgency=medium

  * New upstream release 390.116.
    - Added the synchronization state for PRIME Displays to nvidia-settings.
    - Fixed a bug that could prevent nvidia-xconfig from disabling the X
      Composite extension on version 1.20 of the X.org X server.
  * Upload to stretch.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 Mar 2019 22:14:52 +0100

nvidia-settings (390.87-1~deb9u1) stretch; urgency=medium

  * Rebuild for stretch.
  * Revert to debhelper compat level 10.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 06 Feb 2019 00:30:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: nvidia-settings
 Section: x11
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
+Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 Uploaders:
  Andreas Beckmann <anbe@debian.org>,
  Vincent Cheng <vcheng@debian.org>,
  Luca Boccassi <bluca@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper (>= 10),
  dh-exec (>= 0.3),
  m4,
  libgl1-mesa-dev | libgl-dev,

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 include /usr/share/dpkg/buildflags.mk
+include /usr/share/dpkg/pkg-info.mk
 
 PKG_CONFIG_XORG_XSERVER_LIBDIR	 = $(shell pkg-config --variable=libdir xorg-server)
 CPPFLAGS		+= -DPKG_CONFIG_XORG_XSERVER_LIBDIR='\"$(PKG_CONFIG_XORG_XSERVER_LIBDIR)\"'
@@ -26,6 +27,7 @@
 include debian/rules.defs
 NVIDIA_LEGACY		?=
 NVIDIA_ALTERNATIVE	?= nvidia$(legacy)-alternative
+NVIDIA_RELEASE		 = $(DEB_VERSION_UPSTREAM)
 legacy			 = $(if $(NVIDIA_LEGACY),-legacy-$(NVIDIA_LEGACY)xx)
 legacy_description	 = $(if $(NVIDIA_LEGACY), ($(NVIDIA_LEGACY)xx legacy version))
 nvidia_private		 = nvidia$(if $(legacy),/$(patsubst -%,%,$(legacy)),/current)
@@ -46,8 +48,13 @@
 %:
 	dh $@
 
+ifeq (,$(filter nvidia-settings,$(shell dh_listpackages)))
 override_dh_auto_build: $(AUTOGEN)
-	$(RM) src/libXNVCtrl/libXNVCtrl.a
+	CC_ONLY_CFLAGS="$(CPPFLAGS)" dh_auto_build --sourcedirectory=src/libXNVCtrl
+
+override_dh_auto_install:
+else
+override_dh_auto_build: $(AUTOGEN)
 	CC_ONLY_CFLAGS="$(CPPFLAGS)" dh_auto_build -O--parallel
 	$(MAKE) -C samples
 
@@ -56,8 +63,13 @@
 	install -m 0755 samples/$(OUTPUTDIR)/nv-control-dpy debian/tmp/usr/bin/
 	install -m 0644 doc/nvidia-settings.png debian/tmp/nvidia-settings$(legacy).png
 
+override_dh_strip:
+	dh_strip -Nnvidia-settings
+	dh_strip --remaining-packages --no-automatic-dbgsym
+endif
+
 override_dh_missing:
-	dh_missing --list-missing
+	dh_missing --fail-missing
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -68,21 +80,21 @@
 	$(RM) $(AUTOCLEAN)
 	$(MAKE) -f debian/rules $(AUTOKEEP)
 
-override_dh_strip:
-	dh_strip -Nnvidia-settings
-	dh_strip --remaining-packages --no-automatic-dbgsym
-
 override_dh_compress:
 	dh_compress --exclude=.c --exclude=.mk
 
 override_dh_gencontrol:
-	if [ -f debian/nvidia-settings.substvars ]; then \
-		sed -ri -e 's/libgtk2.0-0 \(>= 2.8.0\)//' \
-			-e 's/libgtk-3-0 \(>= 3.0.0\)//' \
-			debian/nvidia-settings.substvars ; \
+	set -ex; \
+	if [ -f debian/nvidia-settings$(legacy).substvars ]; then \
+		sed -ri -e 's/(^[^:]*:Depends=)/\1 GTK3 | GTK2, /' \
+			-e 's/(GTK2)(.*)(libgtk2.0-0 \([^\)]*\))/\3\2/' \
+			-e 's/(GTK3)(.*)(libgtk-3-0 \([^\)]*\))/\3\2/' \
+			debian/nvidia-settings$(legacy).substvars ; \
+		! grep GTK debian/nvidia-settings$(legacy).substvars ; \
 	fi
 	dh_gencontrol -- -V'nvidia:Legacy=$(legacy)' \
 		-V'nvidia:LegacyDesc=$(legacy_description)' \
+		-V'nvidia:Version=$(NVIDIA_RELEASE)' \
 		-V'nvidia-alternative=$(NVIDIA_ALTERNATIVE)'
 
 # used by dpkg-genchanges
